Index: code/trunk/src/modules/pickup/items/HealthPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/HealthPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/HealthPickup.h	(revision 7493)
@@ -62,8 +62,8 @@
         A pickup that can do (dependent upon the parameters) lots of different things to the health of a Pawn.
         There are 4 parameters that can be chosen:
-        1) The health. The amount of health that (in a way dependent on the other parameters) is transfered to the Pawn.
-        2) The activation type: It can be chosen to be either 'immediate' or 'onUse'. The activation type essentially (as indicated by the name) defines when the health is transfered, either immediately after being picked up or only after the player uses it.
-        3) The duration type: It can be chosen to be either 'once' or 'continuous'. For 'once' the specified health is transfered once to the Pawn, for 'continuous' the set health is transfered over a span of time at a rate defined by the health rate parameter.
-        4) The health type: The health type can be chosen to be 'limited', 'temporary' or 'permanent'. 'limited' means that the health is increased only to the maximum health of the Pawn. 'temporary' means that the maximum health is temporarily elevated but will be set back as soon as the pickup is no longer in use. 'permanent' means that the maximum health of the Pawn is increased such that the health provided by the pickup will fit in and the maximum health stays that way.
+        - The @b health The amount of health that (in a way dependent on the other parameters) is transfered to the Pawn.
+        - The @b activation @b type It can be chosen to be either 'immediate' or 'onUse'. The activation type essentially (as indicated by the name) defines when the health is transfered, either immediately after being picked up or only after the player uses it.
+        - The @b duration @b type It can be chosen to be either 'once' or 'continuous'. For 'once' the specified health is transfered once to the Pawn, for 'continuous' the set health is transfered over a span of time at a rate defined by the health rate parameter.
+        - The @b health @b type The health type can be chosen to be 'limited', 'temporary' or 'permanent'. 'limited' means that the health is increased only to the maximum health of the Pawn. 'temporary' means that the maximum health is temporarily elevated but will be set back as soon as the pickup is no longer in use. 'permanent' means that the maximum health of the Pawn is increased such that the health provided by the pickup will fit in and the maximum health stays that way.
     @author
         Damian 'Mozork' Frick
Index: code/trunk/src/modules/pickup/items/InvisiblePickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/InvisiblePickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/InvisiblePickup.h	(revision 7493)
@@ -50,6 +50,6 @@
         A pickup that makes the Pawn invisible.
         There are 2 parameters that can be chosen:
-        1) The activation type: It can be chosen to be either 'immediate' or 'onUse'. The activation type essentially (as indicated by the name) defines when the Pawn will be invisible, either immediately after being picked up or only after the player uses it.
-        2) The duration type: It can be chosen how long the Pawn will be invisibel.
+        - The @b activation @b type It can be chosen to be either 'immediate' or 'onUse'. The activation type essentially (as indicated by the name) defines when the Pawn will be invisible, either immediately after being picked up or only after the player uses it.
+        - The @b duration @b type It can be chosen how long the Pawn will be invisibel.
     @author
         Benedict Simlinger
Index: code/trunk/src/modules/pickup/items/MetaPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/MetaPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/MetaPickup.h	(revision 7493)
@@ -58,8 +58,8 @@
     @brief
         The MetaPickup is a pickup that can, depending on the parameter 'metaType', do different things. If the 'metaType' is set to
-        1) 'use', all the pickups, the PickupCarrier has, are immediately set to used upon pickup of the MetaPickup.
-        2) 'drop', all the pickups, the PickupCarrier has, are immediately dropped upon pickup of the MetaPickup.
-        3) 'destroy', all the pickups, the PickupCarrier has, are immediately destroyed upon pickup of the MetaPickup.
-        4) 'destroyCarrier', the PickupCarrier is immediately destroyed upon pickup of the MetaPickup.
+        - @b use All the pickups, the PickupCarrier has, are immediately set to used upon pickup of the MetaPickup.
+        - @b drop All the pickups, the PickupCarrier has, are immediately dropped upon pickup of the MetaPickup.
+        - @b destroy All the pickups, the PickupCarrier has, are immediately destroyed upon pickup of the MetaPickup.
+        - @b destroyCarrier The PickupCarrier is immediately destroyed upon pickup of the MetaPickup.
     @author
         Damian 'Mozork' Frick
Index: code/trunk/src/modules/pickup/items/ShieldPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/ShieldPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/ShieldPickup.h	(revision 7493)
@@ -51,8 +51,9 @@
         A Pickup which can add a Shield to the Pawn.
 
-        1) The percentage: The percentage the shield takes from the damage dealt to a Pawn
-        2) The hit points: The amount of damage points a shield can teake before collapsing
-        3) The activation type: 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
-        4) The duration: the activation time of the pickup.
+        There are 4 parameters that can be cosen.
+        - The @b percentage The percentage the shield takes from the damage dealt to a Pawn
+        - The @b hit @b points The amount of damage points a shield can teake before collapsing
+        - The @b activation @b type 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
+        - The @b duration the activation time of the pickup.
 
     @author
Index: code/trunk/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/SpeedPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/SpeedPickup.h	(revision 7493)
@@ -50,8 +50,9 @@
         A Pickup which can manipulate the Speed of a Pawn.
 
-        1) The speed multiplier:
-           The additional (forward) speed:
-        2) The activation type: 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
-        4) The duration: the activation time of the pickup.
+        There are 4 parameters that can be cosen:
+        - The @b speed @b multiplier
+        - The @b additional (forward) @b speed
+        - The @b activation @b type 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
+        - The @b duration The activation time of the pickup.
 
     @author